Package org.apache.activemq.artemis.api.core

## Class RefCountMessage

- java.lang.Object
- - org.apache.activemq.artemis.api.core.RefCountMessage

-     public class RefCountMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RefCountMessage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debugRefs()` | This method will be useful if you remove commented out code around #ifdef AND #endif COMMENTS
    `java.lang.String` | `debugString()` |
    `int` | `durableDown()` |
    `int` | `durableUp()` |
    `int` | `getDurableCount()` |
    `RefCountMessage` | `getParentRef()` |
    `int` | `getRefCount()` |
    `int` | `getUsage()` |
    `int` | `refDown()` |
    `int` | `refUp()` |
    `protected void` | `releaseComplete()` |
    `void` | `setParentRef​(RefCountMessage origin)` |
    `int` | `usageDown()` |
    `int` | `usageUp()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefCountMessage

          public RefCountMessage()

  - ### Method Detail

    - #### getRefCount

          public int getRefCount()

    - #### getUsage

          public int getUsage()

    - #### getDurableCount

          public int getDurableCount()

    - #### getParentRef

          public RefCountMessage getParentRef()

    - #### debugRefs

          public final void debugRefs()

      This method will be useful if you remove commented out code around #ifdef AND #endif COMMENTS

    - #### debugString

          public java.lang.String debugString()

    - #### setParentRef

          public void setParentRef​(RefCountMessage origin)

    - #### releaseComplete

          protected void releaseComplete()

    - #### usageUp

          public int usageUp()

    - #### usageDown

          public int usageDown()

    - #### durableUp

          public int durableUp()

    - #### durableDown

          public int durableDown()

    - #### refDown

          public int refDown()

    - #### refUp

          public int refUp()